Package com.documentum.fc.client.search

# Interface IDfSourceStatus

public interface IDfSourceStatus
Represents the status of a query for a specific source.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCollected()`
  Returns the number of results collected at a particular source.
  `IDfEnumeration`
  `getEvents()`
  Gets the ordered list of events received from this source.
  `IDfException`
  `getException()`
  In case of an error, this method may return the actual exception that occurs with the source.
  `int`
  `getHitCount()`
  Gets the total number of hits at the remote source.
  `String`
  `getSourceName()`
  Gets the internal name of the source this status corresponds to.
  `int`
  `getStatus()`
  Returns status of this query for a particular source.
  `int`
  `getStatusInfo()`
  Gets more detail on the status of a particular source.
  `int`
  `getValid()`
  Returns the number of results collected at a particular source that have not been removed by de-duplication.
  `boolean`
  `isFacetRetrieved()`
  Indicates if this source has returned facets.
  `boolean`
  `isFacetsResultsTruncated()`
  Indicates if the number of results used to compute facets is not the entire result set.

- ## Method Details

  - ### getStatus

    int getStatus()
    Returns status of this query for a particular source.
    Returns:
      IDfQueryStatus.NONE, if query has not already been launched, or if the source is unknown;
      IDfQueryStatus.WAITING, when the query has been sent to this source and the source has not yet replied;
      IDfQueryStatus.RECEIVING, when the source replied positively and new results are being transmitted;
      IDfQueryStatus.DONE, when the query has been completed and no more processing activity is performed by this source;
      IDfQueryStatus.FAILED, when the source was unable to compute the query or the source is unreachable due to a network problem;
      IDfQueryStatus.STOPPED, when the source was stopped by the end user.

  - ### getCollected

    int getCollected()
    Returns the number of results collected at a particular source.
    Returns:
      The number of collected results.

  - ### getValid

    int getValid()
    Returns the number of results collected at a particular source that have not been removed by de-duplication.
    Returns:
      The number of valid results.

  - ### getStatusInfo

    int getStatusInfo()
    Gets more detail on the status of a particular source.
    Returns:
      if the status is IDfQueryStatus.FAILED:
      from IDfQueryStatus.INTERNALFAILURE to IDfQueryStatus.EXPIRED
      if the status is IDfQueryStatus.DONE:
      IDfQueryStatus.TRUNCATED

  - ### getSourceName

    String getSourceName()
    Gets the internal name of the source this status corresponds to.
    Returns:
      The internal name of the source.

  - ### getHitCount

    int getHitCount()
    Gets the total number of hits at the remote source. This is different from the result set size which reflects only the number of results actually fetched by the query processor.
    Returns:
      Positive number of results or -1 if the information is not available.

  - ### isFacetsResultsTruncated

    boolean isFacetsResultsTruncated()
    Indicates if the number of results used to compute facets is not the entire result set.
    Returns:
      true if the facets have been computed on a subset of all the matching results. False if the entire result set has been used or if no facets computation has been requested.

  - ### getEvents

    IDfEnumeration getEvents()
    Gets the ordered list of events received from this source.
    Returns:
      An IDfEnumeration of IDfQueryEvent.

  - ### getException

    IDfException getException()
    In case of an error, this method may return the actual exception that occurs with the source.
    Returns:
      An IDfException or null if there is no error or no more detail on an error. This value can cast into DfException.

  - ### isFacetRetrieved

    boolean isFacetRetrieved()
    Indicates if this source has returned facets.